Page MenuHomeFreeBSD

add manual pages for the superio driver and interface
ClosedPublic

Authored by avg on Oct 9 2019, 3:36 PM.

Details

Summary

This adds basic documentation on what the superio driver is and how other
drivers can interact with it. I decided to also document superio's ivar
accessors.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bcr added a subscriber: bcr.

The man pages look fine to me, thanks for writing them.

brueffer added a subscriber: brueffer.
brueffer added inline comments.
share/man/man4/superio.4
4 ↗(On Diff #63080)

This can go.

107 ↗(On Diff #63080)

This can be removed, it does nothing here.

mandoc -Tlint manpage.4 catches problems like this.

share/man/man9/superio.9
115 ↗(On Diff #63080)

missing space, "dev ,"

122 ↗(On Diff #63080)

Missing space, "SUPERIO_DEV_WDT ."

126 ↗(On Diff #63080)

Missing space before "."

149 ↗(On Diff #63080)

Missing space before "."

183 ↗(On Diff #63080)

.Pp does nothing here and should be removed.

187 ↗(On Diff #63080)

Trailing comma should be removed

This revision now requires changes to proceed.Oct 10 2019, 7:37 AM
avg marked 8 inline comments as done.

cleanups based on the review

Thank you very much for the review!
Problems should be fixed now.

This revision is now accepted and ready to land.Oct 10 2019, 8:09 AM

Hmm, I see that superio.9 could become a first conditionally installed manual page in man9.
Is that okay?
Or would it be better to merge superio.9 into superio.4?
I see a couple of examples in man4, e.g., cpufreq.4.

This revision now requires review to proceed.Oct 10 2019, 8:39 AM
yuripv added inline comments.
share/man/man9/superio.9
93 ↗(On Diff #63114)

the vendor?

102 ↗(On Diff #63114)

the device ID?

107 ↗(On Diff #63114)

the revision ID?

159 ↗(On Diff #63114)

the DMA channel number?

164 ↗(On Diff #63114)

the base I/O port?

171 ↗(On Diff #63114)

the interrupt number?

176 ↗(On Diff #63114)

the Logical Device Number?

181 ↗(On Diff #63114)

the type?

@yuripv , I noted that you ended your suggestions with question marks...
I am not a native speaker, so I am not sure if definite or indefinite article is more appropriate in those sentences.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 11 2019, 11:13 AM
This revision was automatically updated to reflect the committed changes.